# ConfigurableEffect.Value (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.font.effects
Interface ConfigurableEffect.Value

Enclosing interface:
  ConfigurableEffect

    public static interface ConfigurableEffect.Value

Represents a configurable value for an effect.

Method Summary
`java.lang.String` `getName()` Returns the name of the value.
`java.lang.Object` `getObject()` Gets the object representation of the value.
`java.lang.String` `getString()` Gets the string representation of the value.
`void` `setString(java.lang.String value)` Sets the string representation of the value.
`void` `showDialog()` Shows a dialog allowing a user to configure this value.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the value.

### setString

    void setString(java.lang.String value)

  Sets the string representation of the value.

### getString

    java.lang.String getString()

  Gets the string representation of the value.

### getObject

    java.lang.Object getObject()

  Gets the object representation of the value.

### showDialog

    void showDialog()

  Shows a dialog allowing a user to configure this value.

Copyright © 2006 New Dawn Software. All Rights Reserved.